# Class IgnoredMailboxMap

#### Hierarchy

- unknown
  - IgnoredMailboxMap

- Defined in src/protobuf/pb_pb.d.ts:2171
- Defined in src/protobuf/pb_pb.d.ts:2183

#####
Index

### Constructors

constructor

### Methods

clearDataMap
getDataMap
serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new IgnoredMailboxMap(): IgnoredMailboxMap

- #### Returns IgnoredMailboxMap

  Inherited from jspb.Message.constructor

## Methods

### clearDataMap

- clearDataMap(): IgnoredMailboxMap

- #### Returns IgnoredMailboxMap

  - Defined in src/protobuf/pb_pb.d.ts:2173

### getDataMap

- getDataMap(): Map<string, number>

- #### Returns Map<string, number>

  - Defined in src/protobuf/pb_pb.d.ts:2172

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2175

### toObject

- toObject(includeInstance?: boolean): IgnoredMailboxMap.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns IgnoredMailboxMap.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2176

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): IgnoredMailboxMap

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns IgnoredMailboxMap

  - Defined in src/protobuf/pb_pb.d.ts:2179

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: IgnoredMailboxMap, reader: BinaryReader): IgnoredMailboxMap

- #### Parameters

  - ##### message: IgnoredMailboxMap

  - ##### reader: BinaryReader

  #### Returns IgnoredMailboxMap

  - Defined in src/protobuf/pb_pb.d.ts:2180

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: IgnoredMailboxMap, writer: BinaryWriter): void

- #### Parameters

  - ##### message: IgnoredMailboxMap

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2178

### `Static` toObject

- toObject(includeInstance: boolean, msg: IgnoredMailboxMap): IgnoredMailboxMap.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: IgnoredMailboxMap

  #### Returns IgnoredMailboxMap.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2177

Generated using TypeDoc